Subject: [RAI] Re: RAI-ART review of draft-ietf-sip-hitchhikers-guide-03

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 14 Nov 2007 18:16:10 -0500

Thanks for the review, Joerg. Responses below:

Joerg Ott wrote:
> Hi,
> 
> I am the assigned RAI-ART reviewer for draft-ietf-sip-hitchhikers-guide-03
> 
> For background on RAI-ART, please see the FAQ at 
> <http://www.softarmor.com/rai/art/rai-art-FAQ.html>.
> 
> Please resolve the comments below along with any other
> Last Call comments you may receive.
> 
> It may be worthwhile to include the advice in the beginning:
> 
> "Do not print all the specs cited here at once, as they
> might share the fate of the rules of Brockian Ultracricket
> when bound together: collapse under their own gravity and
> form a black hole. [42]"

Nice! Added.

> 
> Joerg
> 
> 
> Review of draft-ietf-sip-hitchhikers-guide-03:
> 
> 
> This draft is ready for publication as an Informational RFC.
> Please consider the suggestions and nits listed below.
> 
> 
> Observations and suggestions:
> 
> Sect. 5, p10, RFC4244:
> 
>     "Its primary purpose _was_ in support of voicemail services."
> 
>     This reads like the document became obsolete already.
>     Is this intentional?  If so, would it be useful to also
>     indicate which other purposes it now serves (or none
>     at all)?

No - its broader now in fact. Brian had a similar comment. Text 
currently reads:

<t hangText="RFC 4244, An Extension to SIP for Request History
Information (S):"> <xref target="RFC4244"/> defines the
History-Info header field, which indicates information on how a call
came to be routed to a particular destination. Its initial application
was in support of voicemail services, though it now has more broad
applicability. </t>

> 
> 
> Sect. 7, p13, RFC4583:
> 
>     This should go to the conferencing section (sect. 8).

Its been added to that section, but it has non-conferencing 
applicability too (PTT). So I think it should also remain in this section.

> 
> 
> Sect. 7, p13, RFCXXXX [59]:
> 
>     This should explicitly state that it builds upon the general
>     mechanisms of RFC 3312 (which only is described later).

[59] *is* RFC3312 so I am confused about which item you are referring to.

> 
> 
> Sect. 9, p14, RFC3515:
> 
>     It may be useful to add a warning clause concerning REFER,
>     e.g., along the following lines:
> 
>     "Beware that not all potential uses of REFER (neither for all
>      methods nor for all URI schemes) are well defined.  Be advised
>      to use only the well-defined ones and not to second guess or
>      freely assume behavior for the others to avoid unexpected
>      behavior of remote UAs, interoperability issues, and other
>      bad surprises."
> 

ok

> 
> 
> Nits:
> 
> Sect. 9, p14, RFC3515:
> 
>     2nd sentence: "Its" -> "It is"
> 

fixed.

Thanks,
Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                   499 Thornall St.
Cisco Fellow                                   Edison, NJ 08837
Cisco, Voice Technology Group
[email-masked]
http://www.jdrosen.net                         PHONE: (408) 902-3084
http://www.cisco.com

_______________________________________________
RAI mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rai